#pragma once

#include <QApplication>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QJsonDocument>
#include <dialogs/FederatedLogin.h>

class Configurator:public QApplication {
	Q_OBJECT
public:
	Configurator(int &argc, char **&argv);
protected Q_SLOTS:
	void loginRequested();
	void appListReceived(QNetworkReply *reply);
private:
	QNetworkAccessManager	_nam;
	FederatedLogin *	_loginDialog;
	QJsonDocument		_services;
};
